Loading...
Searching...
No Matches
icu::message2::DateInfo Struct Reference

The DateInfo struct represents all the information needed to format a date with a time zone. More...

`#include <messageformat2_formattable.h>`

## Data Fields

UDate | date
| Date in UTC.
UnicodeString | zoneId
| IANA time zone name; "UTC" if UTC; empty string if value is floating The time zone is required in order to format the date/time value (its offset is added to/subtracted from the datestamp in order to produce the formatted date).

## Detailed Description

The DateInfo struct represents all the information needed to format a date with a time zone.

It includes an absolute date and a time zone name, as well as a calendar name. The calendar name is not currently used.

Internal
  Do not use. This API is for internal use only. ICU 78 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 78 of file messageformat2_formattable.h.

## Field Documentation

## date

UDate icu::message2::DateInfo::date

Date in UTC.

Internal
  Do not use. This API is for internal use only. ICU 78 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 85 of file messageformat2_formattable.h.

## zoneId

UnicodeString icu::message2::DateInfo::zoneId

IANA time zone name; "UTC" if UTC; empty string if value is floating The time zone is required in order to format the date/time value (its offset is added to/subtracted from the datestamp in order to produce the formatted date).

Internal
  Do not use. This API is for internal use only. ICU 78 technology preview

Deprecated
  This API is for technology preview only.

Definition at line 95 of file messageformat2_formattable.h.

The documentation for this struct was generated from the following file:

- i18n/unicode/messageformat2_formattable.h